# std::basic_streambuf::sbumpc

From cppreference.com
< cpp‎ | io‎ | basic streambuf

int_type sbumpc(); |  |

Reads one character and advances the input sequence by one character.

If the input sequence read position is not available, returns uflow(). Otherwise returns Traits::to_int_type(*gptr()).

### Parameters

(none)

### Return value

The value of the character pointed to by the get pointer, or Traits::eof() if the read position is not available.

### Example

| This section is incomplete Reason: no example

### See also

sgetc | reads one character from the input sequence without advancing the sequence (public member function)
snextc | advances the input sequence, then reads one character without advancing again (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_streambuf/sbumpc&oldid=64240"
Category:

- Todo no example